data_paths:
  external_data_path: data/external/cleaned_alarm_data.csv
  interim_data_path: data/interim/cleaned_alarm_data.csv
  processed_data_dir: data/processed/
  raw_data_path: data/raw/Alarm_History.csv
inference:
  encoded_labels: data/interim/label_encoders_info.yaml
  features:
  - Severity
  - Alarm Name
  - Technical ID
  - Site Name
  - Site ID
  - NE Name
  - Source
  - NE Type
  - Technology
  - Alarm Category
  - Parent Node
  - First Occurence
  - Last Occurence
  inference_data_dir: data/external
  model_path: models/CatBoost/model.pkl
mlflow:
  artifact_location: mlruns
  experiment_name: New_features_Alarm_Processing_Experiment
  tags:
    data: SMOTE
    features: All features
    model: RF basic model
    split: KFoldStratified
  tracking_uri: http://localhost:5000
model_training:
  model: CatBoost
  model_params:
    bagging_temperature: 0.012473175636339873
    depth: 10
    iterations: 5000
    l2_leaf_reg: 9
    learning_rate: 0.0664278883990838
  n_trials: 1
  run_name: cb_model_tuning_all_features_weighted_it_5K
preprocessing:
  threshold: 7
training_processing:
  features:
  - Severity
  - Alarm Name
  - Technical ID
  - Site Name
  - Site ID
  - NE Name
  - Source
  - NE Type
  - Technology
  - Alarm Category
  - Parent Node
  - first_occurrence_minute
  - first_occurrence_hour
  - first_occurrence_day_of_week
  - first_occurrence_month
  - last_occurrence_minute
  - last_occurrence_hour
  - last_occurrence_day_of_week
  - last_occurrence_month
  - first_occurrence_minute_sin
  - first_occurrence_minute_cos
  - first_occurrence_hour_sin
  - first_occurrence_hour_cos
  - first_occurrence_day_of_week_sin
  - first_occurrence_day_of_week_cos
  - first_occurrence_month_sin
  - first_occurrence_month_cos
  - last_occurrence_minute_sin
  - last_occurrence_minute_cos
  - last_occurrence_hour_sin
  - last_occurrence_hour_cos
  - last_occurrence_day_of_week_sin
  - last_occurrence_day_of_week_cos
  - last_occurrence_month_sin
  - last_occurrence_month_cos
  seed: 42
